import { Card, NodeInterface, CardType, CardValue } from '@aomao/engine';
import { CollapseGroupProps } from '../../collapse/group';
import { CollapseItemProps } from '../../collapse/item';
import ToolbarPopup from './popup';
import type { GroupItemProps } from './popup';
import './index.css';
declare type Data = Array<CollapseGroupProps>;
export interface ToolbarValue extends CardValue {
    data: Data;
}
declare class ToolbarComponent<T extends ToolbarValue = ToolbarValue> extends Card<T> {
    #private;
    private keyword?;
    private placeholder?;
    private component?;
    static get cardName(): string;
    static get cardType(): CardType;
    static get singleSelectable(): boolean;
    static get autoSelected(): boolean;
    init(): void;
    setData(_data: any): void;
    getData(): Data;
    /**
     * 查询
     * @param keyword 关键字
     * @returns
     */
    search(keyword: string): {
        title: string;
        items: Omit<CollapseItemProps, "engine">[];
    }[];
    remove(): void;
    changeToText(): void;
    destroy(): void;
    activate(activated: boolean): void;
    handleInput(): void;
    resetPlaceHolder(): void;
    render(data?: any): string | void | NodeInterface;
}
export default ToolbarComponent;
export { ToolbarPopup };
export type { GroupItemProps };
