import React from 'react';
import { Plugin } from '@aomao/engine';
import type { NodeInterface, PluginOptions } from '@aomao/engine';
import type { CollapseItemProps } from '../collapse/item';
import ToolbarComponent, { ToolbarPopup } from './component';
import type { ToolbarValue, GroupItemProps } from './component';
declare type Config = Array<{
    title: React.ReactNode;
    items: Array<Omit<CollapseItemProps, 'engine'> | string>;
}>;
export interface ToolbarOptions extends PluginOptions {
    config?: Config;
    popup?: {
        items: GroupItemProps[];
    };
}
declare class ToolbarPlugin<T extends ToolbarOptions = ToolbarOptions> extends Plugin<T> {
    static get pluginName(): string;
    private popup?;
    init(): void;
    paserValue: (node: NodeInterface) => boolean;
    onSlash: (event: KeyboardEvent) => void;
    execute(...args: any): void;
    destroy(): void;
}
export { ToolbarComponent, ToolbarPopup };
export type { ToolbarValue };
export default ToolbarPlugin;
